@title Typfilebatch for CN NT2011.40 unter windows 7
@set cn="City Navigator Europe NT 2011.40.gmap"
@set origtyp=I000093D.TYP
@set typfilem=MB00093D.TYP
@set typfilez=zB00093D.TYP


@if exist %programdata%\GARMIN\Maps\%cn%\%origtyp% goto :step1
@echo.
@echo keine karteninstallation im Standardverzeichnis gefunden
@echo Patchvorgang leider nicht moeglich
@echo.
@pause
exit


:step1
@echo.
@echo ACHTUNG!! die Benutzung des Skripts erfolgt auf eigene Gefahr!!!
@echo Der Autor uebernimmt keine Haftung fuer evtl. entstandene Schaeden
@echo oder Fehlfunktionen durch das Skript
@echo.
@echo wen Sie damit einverstanden sind 
@set /p ok=Tippe ja und danach die Entertaste : 
@if %ok% ==ja goto :ok
@echo.
@echo der vorgang wurde abgebrochen
@echo.
@pause
exit


:ok
@echo.
@echo waehlen Sie aus:
@echo 1. Typfile fuer Mapsource
@echo 2. Typfile fuer zumo 660
@echo 3. original wiederherstellen
@echo.
@set /p typ= tippen Sie 1, 2 oder 3 und danach die Entertaste: 
@if %typ% ==1 goto :patchms
@if %typ% ==2 goto :patchz
@if %typ% ==3 goto :orig
@goto :ok


:patchms
cls
@echo.
@if not exist %programdata%\GARMIN\Maps\%cn%\info-orig.xml copy %programdata%\GARMIN\Maps\%cn%\info.xml %programdata%\GARMIN\Maps\%cn%\info-orig.xml
@attrib -r -s -h %programdata%\GARMIN\Maps\%cn%\info.xml
@del %programdata%\GARMIN\Maps\%cn%\info.xml
@copy %typfilem% %programdata%\GARMIN\Maps\%cn%\ /y
@copy infom.xml %programdata%\GARMIN\Maps\%cn%\info.xml /y
@if %errorlevel%==1 (
@goto :sorry
) ELSE (
@goto :fun
)



:patchz
cls
@echo.
@if not exist %programdata%\GARMIN\Maps\%cn%\info-orig.xml copy %programdata%\GARMIN\Maps\%cn%\info.xml %programdata%\GARMIN\Maps\%cn%\info-orig.xml
@attrib -r -s -h %programdata%\GARMIN\Maps\%cn%\info.xml
@del %programdata%\GARMIN\Maps\%cn%\info.xml
@copy %typfilez% %programdata%\GARMIN\Maps\%cn%\ /y
@copy infoz.xml %programdata%\GARMIN\Maps\%cn%\info.xml /y
@if %errorlevel%==1 (
@goto :sorry
) ELSE (
@goto :fun
)



:sorry
@echo.
@echo Administratorrechte leider nicht vorhanden !!!
@echo aendern Sie die Berechtigungen der Datei info.xml im Verzeichnis 
@echo %programdata%\GARMIN\Maps\%cn%\
@echo und fuehren sie das Batchskript erneut aus
@echo.
@pause
exit


:fun
@echo.
@echo Patchvorgang erfolgreich. Starten Sie Mapsource und zoomen sie einige male
@echo die Ansicht und aendern einige male die Detailgradeinstellungen
@echo danach wir das neue Layout sichtbar sein
@echo.
@echo HAVE FUN! ;-)
@echo.
@pause

exit


:orig
cls
@copy %programdata%\GARMIN\Maps\%cn%\info-orig.xml %programdata%\GARMIN\Maps\%cn%\info.xml /y
@del %programdata%\GARMIN\Maps\%cn%\%typfilem% /q
@del %programdata%\GARMIN\Maps\%cn%\%typfilez% /q


@echo.
@echo Wiederherstellen erfolgreich. Starten Sie Mapsource und zoomen sie einige male
@echo die Ansicht und aendern einige male die Detailgradeinstellungen
@echo danach wir das originale Layout wieder sichtbar sein
@echo.
@pause

exit